Bug 136516 - --downloadonly option not implemented
--downloadonly option not implemented
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-20 13:34 EDT by Ralf Ertzinger
Modified: 2014-01-21 17:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-19 02:48:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Ertzinger 2004-10-20 13:34:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041016
Firefox/0.10.1

Description of problem:
The man page of yum claims that there is an option called
"--downloadonly". The program does not know about it, though:

[sun@nausicaa /usr/share/yum-cli :) 17]$ yum --downloadonly update
Options Error: option --downloadonly not recognized

    Usage:  yum [options] < update | install | info | remove | list |
            clean | provides | search | check-update | groupinstall | 
......




Version-Release number of selected component (if applicable):
yum-2.1.10-1

How reproducible:
Always

Steps to Reproduce:
1. try the --downloadonly option with yum
2.
3.
    

Actual Results:  Option listed in man page, but is unknown.

Expected Results:  Do what the man page states.

Additional info:
Comment 1 Seth Vidal 2004-10-20 14:22:12 EDT
yah - I forgot to remove it from the docs. I've been sent a different
implementation of some of the downloading routines that is actually a
bit smarter in some ways.

Comment 2 Kenneth Porter 2004-11-19 13:43:10 EST
Yum Bugzilla entry with possible patch:

https://devel.linux.duke.edu/bugzilla/show_bug.cgi?id=310

I just updated 2.0.7 to 2.1.11 and got bitten by this. I have --download-only in
/etc/cron.daily/yum.cron and discovered that it went ahead and installed the
package I didn't want (new kernel). Fortunately it's not enabled in GRUB.

I want new packages downloaded unattended but I want to decide when they get
installed.
Comment 3 Seth Vidal 2004-11-30 00:50:29 EST
I pulled it out from 2.1.12 - it will probably go back in but right
now, no.
Comment 4 Rahul Sundaram 2005-06-18 22:51:22 EDT
Yum downloader in Yum-utils seems to serve this purpose now. Yum-utils is
currently in Fedora Extras repository which is enabled by default in Fedora Core
above above

This bug report should be closed

Note You need to log in before you can comment on or make changes to this bug.